######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  %Z%  %M%  %I%  Delta: %G%
######################################################################

database standard

globals
    define

        ##############################################################
        # Codegen area
        ##############################################################
        # Global variables in this section will be overwritten
        # during a re-generation of source code.
        # Place any custom global variables above this section.
        # Don't remove these comments.  The codegenerator keys on them.
        #
        m_p1099r record like stp1099r.*,  # Record like the header table
        p_p1099r record   # Record like the header screen
            vend_code like stp1099r.vend_code,
            bus_name like stpvendr.bus_name,
            total_amt like stp1099r.total_amt,
            cat_1_amt like stp1099r.cat_1_amt,
            cat_2_amt like stp1099r.cat_2_amt,
            cat_3_amt like stp1099r.cat_3_amt,
            cat_4_amt like stp1099r.cat_4_amt,
            cat_5_amt like stp1099r.cat_5_amt,
            cat_6_amt like stp1099r.cat_6_amt,
            cat_7_amt like stp1099r.cat_7_amt,
            cat_8_amt like stp1099r.cat_8_amt,
            cat_9_amt like stp1099r.cat_9_amt,
            cat_10_amt like stp1099r.cat_10_amt
        end record,
        q_p1099r record   # Parallel header record
            row_id integer  # SQL rowid
        end record,

        ###############################################################
        # Library communication area 3.51.00
        ###############################################################
        # Global variables in this section should not be changed.
        # They are used to communicate to the screen library functions,
        # and must be of the same type as defined in the library.
        # Don't remove these comments.  The codegenerator keys on them.
        #
        progid       char(17),   # Program identification
        scr_id       char(7),    # Current screen id
        menu_item    char(10),   # Current menu item running
        scr_funct    char(20),   # Current screen function being run
        sql_filter   char(512),  # Filter portion of SQL statement
        sql_order    char(100),  # Order portion of SQL statement
        input_num    smallint,   # Current input section within screen
        p_cur        smallint,   # Current input array element
        s_cur        smallint,   # Current screen array element
        scr_fld      char(40),   # Current screen field
        nxt_fld      char(40),   # Programmatic next screen field
        prev_data    char(80),   # Data before field entry
        this_data    char(80),   # Data after field entry
        data_changed smallint,   # Has the field data changed?
        hotkey       smallint,   # The hot key that has been pressed
        scratch      char(2047)  # Scratchpad for scribbling on and
                                 # communicating between functions
        # End library communication area
        ###############################################################

end globals
