########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_1099.4gs/lowlevel.4gl  1.3  Delta: 1/4/91
########################################################################

globals "globals.4gl"

#######################################################################
function before_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    # Trap fatal errors
    whenever error call error_handler

    if group_key = "first_row" then
        # insert "on first row" code here
        return
    end if

end function
# before_group()

#######################################################################
function on_every_row()
#######################################################################
#  this function prepares the report record from the cursor record
#  and other data.
#
    let rpt.title_heading = ct.prcname
    let rpt.vend_code = curs.vend_code
    let rpt.vend_name = ap_vendn(rpt.vend_code)
    let rpt.total_amt = curs.total_amt
    let rpt.cat_1_amt = curs.cat_1_amt
    let rpt.cat_2_amt = curs.cat_2_amt
    let rpt.cat_3_amt = curs.cat_3_amt
    let rpt.cat_4_amt = curs.cat_4_amt
    let rpt.cat_5_amt = curs.cat_5_amt
    let rpt.cat_6_amt = curs.cat_6_amt
    let rpt.cat_7_amt = curs.cat_7_amt
    let rpt.cat_8_amt = curs.cat_8_amt
    let rpt.cat_9_amt = curs.cat_9_amt
    let rpt.cat_10_amt = curs.cat_10_amt
    return
end function
# on_every_row()

#######################################################################
function after_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "last_row" then
        # insert "on last row" code here
        return
    end if

end function
# after_group()

