########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_check.4gs/globals.4gl  1.10  Delta: 1/4/91
########################################################################

database standard

globals
    define
        progid char(17),            # program identification
        p_counter smallint,         # counter of rows in a document
        p_chck_no integer,          # prompt check number
        p_chck_date date,           # prompt check date
        p_sel_join char(400),       # variable to hold extra long join
        rpt record                  # record for the report
            doc_no like stpcashe.doc_no,
            ap_type like stpcashe.ap_type,
            doc_desc like stpcashe.doc_desc,
            oa_amt like stpcashe.oa_amt,
            inv_doc_no like stpcashd.inv_doc_no,
            inv_no like stpcashd.inv_no,
            inv_date like stpopend.inv_date,
            orig_amount like stpopend.orig_amount,
            amount_pay like stpopend.balance,
            disc_amt like stpcashd.disc_amt,
            dist_amt like stpcashd.dist_amt,
            chck_no like stpcashe.check_no,
            chck_date date,
            vend_code like stpcashe.vend_code,
            cheque_amt char(70),
            cash_amt like stpcashe.cash_amt,
            vend_name like stpvendr.bus_name,
            pay_to_name like stppytor.pay_to_name,
            address1 like stppytor.address1,
            address2 char(60),
            address3 char(60)
        end record,
        curs record                 # record like the cursor
            dist_deb_cred like stpcashd.dist_deb_cred,
            disc_deb_cred like stpcashd.disc_deb_cred,
            oa_deb_cred like stpcashe.oa_deb_cred,
            cash_acct like stpcashe.cash_acct,
            cash_department like stpcashe.cash_department,
            check_no like stpcashe.check_no,
            chk_date like stpcashe.chk_date,
            doc_no like stpcashe.doc_no,
            ap_type like stpcashe.ap_type,
            doc_desc like stpcashe.doc_desc,
            city like stppytor.city,
            state like stppytor.state,
            zip like stppytor.zip,
            country like stppytor.country,
            oa_amt like stpcashe.oa_amt,
            inv_doc_no like stpcashd.inv_doc_no,
            inv_no like stpcashd.inv_no,
            due_date like stpcashd.due_date,
            inv_date like stpopend.inv_date,
            orig_amount like stpopend.orig_amount,
            disc_amt like stpcashd.disc_amt,
            dist_amt like stpcashd.dist_amt,
            vend_code like stpcashe.vend_code,
            cash_amt like stpcashe.cash_amt,
            pay_to_name like stppytor.pay_to_name,
            address1 like stppytor.address1,
            address2 char(60)
        end record,
        curs_next record            # next row of cursor
            dist_deb_cred like stpcashd.dist_deb_cred,
            disc_deb_cred like stpcashd.disc_deb_cred,
            oa_deb_cred like stpcashe.oa_deb_cred,
            cash_acct like stpcashe.cash_acct,
            cash_department like stpcashe.cash_department,
            check_no like stpcashe.check_no,
            chk_date like stpcashe.chk_date,
            doc_no like stpcashe.doc_no,
            ap_type like stpcashe.ap_type,
            doc_desc like stpcashe.doc_desc,
            city like stppytor.city,
            state like stppytor.state,
            zip like stppytor.zip,
            country like stppytor.country,
            oa_amt like stpcashe.oa_amt,
            inv_doc_no like stpcashd.inv_doc_no,
            inv_no like stpcashd.inv_no,
            due_date like stpcashd.due_date,
            inv_date like stpopend.inv_date,
            orig_amount like stpopend.orig_amount,
            disc_amt like stpcashd.disc_amt,
            dist_amt like stpcashd.dist_amt,
            vend_code like stpcashe.vend_code,
            cash_amt like stpcashe.cash_amt,
            pay_to_name like stppytor.pay_to_name,
            address1 like stppytor.address1,
            address2 char(60)
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals
