########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_chkreg.4gs/globals.4gl  1.6  Delta: 1/4/91
########################################################################

database standard

globals
    define
        sel_join char(250),         # join portion of selection stmt
        rec_flag smallint,          # boolean if reconciled check
        progid   char(17),          # program identification
        rpt record                  # record for the report
            doc_no like stxckrgd.doc_no,
            incr_with_crdt like stxchrtr.incr_with_crdt,
            debit_credit like stxckrgd.debit_credit,
            amount like stxckrgd.amount,
            co_name like stxcntrc.co_name,
            acct_no like stxckrgr.acct_no,
            department like stxckrgr.department,
            acct_desc like stxchrtr.acct_desc,
            start_date date,
            beg_amount decimal(12),
            bal_amount decimal(12),
            doc_date like stxtranr.doc_date,
            inv_chk_no like stxckrgd.inv_chk_no,
            orig_journal like stxckrgd.orig_journal,
            ref_code like stxtranr.ref_code,
            doc_desc like stxtranr.doc_desc,
            line_amount decimal(12),
            end_date date,
            reconciled like stxckrgd.reconciled,
            asterisk char(1),
            rec_message char(80)
        end record,
        curs record                 # record like the cursor
            doc_no like stxckrgd.doc_no,
            incr_with_crdt like stxchrtr.incr_with_crdt,
            debit_credit like stxckrgd.debit_credit,
            amount like stxckrgd.amount,
            acct_no like stxckrgr.acct_no,
            department like stxckrgr.department,
            acct_desc like stxchrtr.acct_desc,
            doc_date like stxtranr.doc_date,
            inv_chk_no like stxckrgd.inv_chk_no,
            orig_journal like stxckrgd.orig_journal,
            ref_code like stxtranr.ref_code,
            doc_desc like stxtranr.doc_desc,
            reconciled like stxckrgd.reconciled
        end record,
        curs_next record            # next row of cursor
            doc_no like stxckrgd.doc_no,
            incr_with_crdt like stxchrtr.incr_with_crdt,
            debit_credit like stxckrgd.debit_credit,
            amount like stxckrgd.amount,
            acct_no like stxckrgr.acct_no,
            department like stxckrgr.department,
            acct_desc like stxchrtr.acct_desc,
            doc_date like stxtranr.doc_date,
            inv_chk_no like stxckrgd.inv_chk_no,
            orig_journal like stxckrgd.orig_journal,
            ref_code like stxtranr.ref_code,
            doc_desc like stxtranr.doc_desc,
            reconciled like stxckrgd.reconciled
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

