########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_termls.4gs/lowlevel.4gl  1.3  Delta: 1/4/91
########################################################################

globals "globals.4gl"

#######################################################################
function before_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    # Trap fatal errors
    whenever error call error_handler

    if group_key = "first_row" then
        # insert "on first row" code here
        return
    end if

end function
# before_group()

#######################################################################
function on_every_row()
#######################################################################
#  this function prepares the report record from the cursor record
#  and other data.
#
    let rpt.terms_code = curs.terms_code
    let rpt.terms_desc = curs.terms_desc
    let rpt.due_days = curs.due_days
    let rpt.disc_days = curs.disc_days
    let rpt.disc_pct = curs.disc_pct
    return
end function
# on_every_row()

#######################################################################
function after_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "last_row" then
        # insert "on last row" code here
        return
    end if

end function
# after_group()


