########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_venddt.4gs/lowlevel.4gl  1.4  Delta: 1/4/91
########################################################################

globals "globals.4gl"

#######################################################################
function before_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    # Trap fatal errors
    whenever error call error_handler

    if group_key = "first_row" then
        # insert "on first row" code here
        return
    end if

    if group_key = "vend_code" then
        # insert "before group of vend_code" code here
        return
    end if

    if group_key = "pay_to_code" then
        # insert "before group of pay_to_code" code here
        return
    end if

end function
# before_group()

#######################################################################
function on_every_row()
#######################################################################
#  this function prepares the report record from the cursor record
#  and other data.
#
    let rpt.vend_code = curs.vend_code
    let rpt.bus_name = curs.bus_name
    let rpt.contact = curs.contact
    let rpt.phone = curs.phone
    let rpt.address1 = curs.address1
    let rpt.address2 = curs.address2
    let rpt.city = curs.city
    let rpt.state = curs.state
    let rpt.zip = curs.zip
    let rpt.country = curs.country
    let rpt.spec_billing = curs.spec_billing
    let rpt.credit_limit = curs.credit_limit
    let rpt.ap_acct_dflt = curs.ap_acct_dflt
    let rpt.ap_department_dflt = curs.ap_department_dflt
    let rpt.terms_code = curs.terms_code
    let rpt.terms_desc = curs.terms_desc
    let rpt.act_grp = curs.act_grp
    let rpt.grp_desc = curs.grp_desc
    let rpt.last_pay_date = curs.last_pay_date
    let rpt.hold_pymnt = curs.hold_pymnt
    let rpt.take_dscnt = curs.take_dscnt
    let rpt.print_1099 = curs.print_1099
    let rpt.federal_tax_id = curs.federal_tax_id
    let rpt.cash_acct_no = curs.cash_acct_no
    let rpt.cash_department = curs.cash_department
    let rpt.on_acct_amt = curs.on_acct_amt
    let rpt.acct_bal = curs.acct_bal
    let rpt.pay_to_code = curs.pay_to_code
    let rpt.pay_to_name = curs.pay_to_name
    let rpt.pay_contact = curs.pay_contact
    let rpt.pay_address1 = curs.pay_address1
    let rpt.pay_phone = curs.pay_phone
    let rpt.pay_address2 = curs.pay_address2
    let rpt.pay_city = curs.pay_city
    let rpt.pay_state = curs.pay_state
    let rpt.pay_zip = curs.pay_zip
    let rpt.pay_country = curs.pay_country
    let rpt.pay_take_dscnt = curs.pay_take_dscnt
    return
end function
# on_every_row()

#######################################################################
function after_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "vend_code" then
        # insert "after group of vend_code" code here
        return
    end if

    if group_key = "pay_to_code" then
        # insert "after group of pay_to_code" code here
        return
    end if

    if group_key = "last_row" then
        # insert "on last row" code here
        return
    end if

end function
# after_group()


