########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_1099.4gs/globals.4gl  1.2  Delta: 1/4/91
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            title_heading char(35),
            co_name char(30),
            vend_code like stp1099r.vend_code,
            vend_name char(25),
            total_amt like stp1099r.total_amt,
            cat_1_amt like stp1099r.cat_1_amt,
            cat_2_amt like stp1099r.cat_2_amt,
            cat_3_amt like stp1099r.cat_3_amt,
            cat_4_amt like stp1099r.cat_4_amt,
            cat_5_amt like stp1099r.cat_5_amt,
            cat_6_amt like stp1099r.cat_6_amt,
            cat_7_amt like stp1099r.cat_7_amt,
            cat_8_amt like stp1099r.cat_8_amt,
            cat_9_amt like stp1099r.cat_9_amt,
            cat_10_amt like stp1099r.cat_10_amt
        end record,
        curs record                 # record like the cursor
            vend_code like stp1099r.vend_code,
            total_amt like stp1099r.total_amt,
            cat_1_amt like stp1099r.cat_1_amt,
            cat_2_amt like stp1099r.cat_2_amt,
            cat_3_amt like stp1099r.cat_3_amt,
            cat_4_amt like stp1099r.cat_4_amt,
            cat_5_amt like stp1099r.cat_5_amt,
            cat_6_amt like stp1099r.cat_6_amt,
            cat_7_amt like stp1099r.cat_7_amt,
            cat_8_amt like stp1099r.cat_8_amt,
            cat_9_amt like stp1099r.cat_9_amt,
            cat_10_amt like stp1099r.cat_10_amt
        end record,
        curs_next record            # next row of cursor
            vend_code like stp1099r.vend_code,
            total_amt like stp1099r.total_amt,
            cat_1_amt like stp1099r.cat_1_amt,
            cat_2_amt like stp1099r.cat_2_amt,
            cat_3_amt like stp1099r.cat_3_amt,
            cat_4_amt like stp1099r.cat_4_amt,
            cat_5_amt like stp1099r.cat_5_amt,
            cat_6_amt like stp1099r.cat_6_amt,
            cat_7_amt like stp1099r.cat_7_amt,
            cat_8_amt like stp1099r.cat_8_amt,
            cat_9_amt like stp1099r.cat_9_amt,
            cat_10_amt like stp1099r.cat_10_amt
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

