########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_cdjrnl.4gs/globals.4gl  1.4  Delta: 1/4/91
########################################################################

database standard

globals
    define
        sel_join     char(250), # join portion of selection stmt
        progid   char(17),          # program identification
        scratch  char(2048),        # global scratchpad variable
        acct_period char(2),        # account period
        acct_year char(4),          # account year
        rpt record                  # record for the report
            debit_credit like stgactvd.debit_credit,
            co_name like stxcntrc.co_name,
            start_date date,
            end_date date,
            doc_no like stxtranr.doc_no,
            doc_date like stxtranr.doc_date,
            doc_desc like stxtranr.doc_desc,
            inv_chk_no like stptranr.inv_chk_no,
            acct_no like stgactvd.acct_no,
            department like stgactvd.department,
            acct_desc like stxchrtr.acct_desc,
            amount like stgactvd.amount,
            crdr char(2)
        end record,
        curs record                 # record like the cursor
            debit_credit like stgactvd.debit_credit,
            doc_no like stxtranr.doc_no,
            doc_date like stxtranr.doc_date,
            doc_desc like stxtranr.doc_desc,
            inv_chk_no like stptranr.inv_chk_no,
            acct_no like stgactvd.acct_no,
            department like stgactvd.department,
            acct_desc like stxchrtr.acct_desc,
            amount like stgactvd.amount
        end record,
        curs_next record            # next row of cursor
            debit_credit like stgactvd.debit_credit,
            doc_no like stxtranr.doc_no,
            doc_date like stxtranr.doc_date,
            doc_desc like stxtranr.doc_desc,
            inv_chk_no like stptranr.inv_chk_no,
            acct_no like stgactvd.acct_no,
            department like stgactvd.department,
            acct_desc like stxchrtr.acct_desc,
            amount like stgactvd.amount
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

