########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_ckjrnl.4gs/globals.4gl  1.5  Delta: 2/9/91
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            non_ap_amount like stxckrgd.amount,
            debit_credit like stxckrgd.debit_credit,
            acct_no like stxckrgd.acct_no,
            act_type like stpactvd.act_type,
            amount like stpactvd.amount,
            inv_doc_no like stpactvd.inv_doc_no,
            co_name like stxcntrc.co_name,
            date_range char(40),
            inv_chk_no like stxckrgd.inv_chk_no,
            doc_date like stxtranr.doc_date,
            doc_no like stxtranr.doc_no,
            ref_code like stxtranr.ref_code,
            vend_desc like stpvendr.bus_name,
            doc_desc like stxtranr.doc_desc,
            inv_amt decimal(12),
            disc_amt decimal(12),
            chk_amt decimal(12),
            tot_inv_amt decimal(12),
            tot_disc_amt decimal(12),
            tot_chk_amt decimal(12)
        end record,
        curs record                 # record like the cursor
            non_ap_amount like stxckrgd.amount,
            debit_credit like stxckrgd.debit_credit,
            acct_no like stxckrgd.acct_no,
            act_type like stpactvd.act_type,
            amount like stpactvd.amount,
            inv_doc_no like stpactvd.inv_doc_no,
            inv_chk_no like stxckrgd.inv_chk_no,
            doc_date like stxtranr.doc_date,
            doc_desc like stxtranr.doc_desc,
            doc_no like stxtranr.doc_no,
            ref_code like stxtranr.ref_code
        end record,
        curs_next record            # next row of cursor
            non_ap_amount like stxckrgd.amount,
            debit_credit like stxckrgd.debit_credit,
            acct_no like stxckrgd.acct_no,
            act_type like stpactvd.act_type,
            amount like stpactvd.amount,
            inv_doc_no like stpactvd.inv_doc_no,
            inv_chk_no like stxckrgd.inv_chk_no,
            doc_date like stxtranr.doc_date,
            doc_desc like stxtranr.doc_desc,
            doc_no like stxtranr.doc_no,
            ref_code like stxtranr.ref_code
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals
