########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_contrl.4gs/globals.4gl  1.4  Delta: 1/4/91
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            co_name like stxcntrc.co_name,
            terms_code like stpcntrc.terms_code,
            terms_desc like stptermr.terms_desc,
            ap_acct_no like stpcntrc.ap_acct_no,
            cd_disc_acct_no like stpcntrc.cd_disc_acct_no,
            cd_cash_acct_no like stpcntrc.cd_cash_acct_no,
            age_datetype like stpcntrc.age_datetype,
            age_dsc1 like stpcntrc.age_dsc1,
            age_dsc2 like stpcntrc.age_dsc2,
            age_dsc3 like stpcntrc.age_dsc3,
            age_dsc4 like stpcntrc.age_dsc4,
            age_per1 like stpcntrc.age_per1,
            age_per2 like stpcntrc.age_per2,
            age_per3 like stpcntrc.age_per3,
            ap_balanced like stpcntrc.ap_balanced
        end record,
        curs record                 # record like the cursor
            terms_code like stpcntrc.terms_code,
            terms_desc like stptermr.terms_desc,
            ap_acct_no like stpcntrc.ap_acct_no,
            cd_disc_acct_no like stpcntrc.cd_disc_acct_no,
            cd_cash_acct_no like stpcntrc.cd_cash_acct_no,
            age_datetype like stpcntrc.age_datetype,
            age_dsc1 like stpcntrc.age_dsc1,
            age_dsc2 like stpcntrc.age_dsc2,
            age_dsc3 like stpcntrc.age_dsc3,
            age_dsc4 like stpcntrc.age_dsc4,
            age_per1 like stpcntrc.age_per1,
            age_per2 like stpcntrc.age_per2,
            age_per3 like stpcntrc.age_per3,
            ap_balanced like stpcntrc.ap_balanced
        end record,
        curs_next record            # next row of cursor
            terms_code like stpcntrc.terms_code,
            terms_desc like stptermr.terms_desc,
            ap_acct_no like stpcntrc.ap_acct_no,
            cd_disc_acct_no like stpcntrc.cd_disc_acct_no,
            cd_cash_acct_no like stpcntrc.cd_cash_acct_no,
            age_datetype like stpcntrc.age_datetype,
            age_dsc1 like stpcntrc.age_dsc1,
            age_dsc2 like stpcntrc.age_dsc2,
            age_dsc3 like stpcntrc.age_dsc3,
            age_dsc4 like stpcntrc.age_dsc4,
            age_per1 like stpcntrc.age_per1,
            age_per2 like stpcntrc.age_per2,
            age_per3 like stpcntrc.age_per3,
            ap_balanced like stpcntrc.ap_balanced
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

