########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_contrl.4gs/lowlevel.4gl  1.3  Delta: 1/4/91
########################################################################

globals "globals.4gl"

#######################################################################
function before_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    # Trap fatal errors
    whenever error call error_handler

    if group_key = "first_row" then
        # insert "on first row" code here
        return
    end if

end function
# before_group()

#######################################################################
function on_every_row()
#######################################################################
#  this function prepares the report record from the cursor record
#  and other data.
#
    let rpt.terms_code = curs.terms_code
    let rpt.terms_desc = curs.terms_desc
    let rpt.ap_acct_no = curs.ap_acct_no
    let rpt.cd_disc_acct_no = curs.cd_disc_acct_no
    let rpt.cd_cash_acct_no = curs.cd_cash_acct_no
    let rpt.age_datetype = curs.age_datetype
    let rpt.age_dsc1 = curs.age_dsc1
    let rpt.age_dsc2 = curs.age_dsc2
    let rpt.age_dsc3 = curs.age_dsc3
    let rpt.age_dsc4 = curs.age_dsc4
    let rpt.age_per1 = curs.age_per1
    let rpt.age_per2 = curs.age_per2
    let rpt.age_per3 = curs.age_per3
    let rpt.ap_balanced = curs.ap_balanced
    return
end function
# on_every_row()

#######################################################################
function after_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "last_row" then
        # insert "on last row" code here
        return
    end if

end function
# after_group()


