########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_venddt.4gs/globals.4gl  1.5  Delta: 1/4/91
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            co_name like stxcntrc.co_name,
            vend_code like stpvendr.vend_code,
            bus_name like stpvendr.bus_name,
            contact like stpvendr.contact,
            phone like stpvendr.phone,
            address1 like stpvendr.address1,
            address2 like stpvendr.address2,
            city like stpvendr.city,
            state like stpvendr.state,
            zip like stpvendr.zip,
            country like stpvendr.country,
            spec_billing like stpvendr.spec_billing,
            credit_limit like stpvendr.credit_limit,
            ap_acct_dflt like stpvendr.ap_acct_dflt,
            ap_department_dflt like stpvendr.ap_department_dflt,
            terms_code like stpvendr.terms_code,
            terms_desc like stptermr.terms_desc,
            act_grp like stpvendr.act_grp,
            grp_desc like stxactgr.grp_desc,
            last_pay_date like stpvendr.last_pay_date,
            hold_pymnt like stpvendr.hold_pymnt,
            take_dscnt like stpvendr.take_dscnt,
            print_1099 like stpvendr.print_1099,
            federal_tax_id like stpvendr.federal_tax_id,
            cash_acct_no like stpvendr.cash_acct_no,
            cash_department like stpvendr.cash_department,
            on_acct_amt like stpvendr.on_acct_amt,
            acct_bal like stpvendr.acct_bal,
            pay_to_code like stppytor.pay_to_code,
            pay_to_name like stppytor.pay_to_name,
            pay_contact like stppytor.contact,
            pay_address1 like stppytor.address1,
            pay_phone like stppytor.phone,
            pay_address2 like stppytor.address2,
            pay_city like stppytor.city,
            pay_state like stppytor.state,
            pay_zip like stppytor.zip,
            pay_country like stppytor.country,
            pay_take_dscnt like stppytor.take_dscnt
        end record,
        curs record                 # record like the cursor
            vend_code like stpvendr.vend_code,
            bus_name like stpvendr.bus_name,
            contact like stpvendr.contact,
            phone like stpvendr.phone,
            address1 like stpvendr.address1,
            address2 like stpvendr.address2,
            city like stpvendr.city,
            state like stpvendr.state,
            zip like stpvendr.zip,
            country like stpvendr.country,
            spec_billing like stpvendr.spec_billing,
            credit_limit like stpvendr.credit_limit,
            ap_acct_dflt like stpvendr.ap_acct_dflt,
            ap_department_dflt like stpvendr.ap_department_dflt,
            terms_code like stpvendr.terms_code,
            terms_desc like stptermr.terms_desc,
            act_grp like stpvendr.act_grp,
            grp_desc like stxactgr.grp_desc,
            last_pay_date like stpvendr.last_pay_date,
            hold_pymnt like stpvendr.hold_pymnt,
            take_dscnt like stpvendr.take_dscnt,
            print_1099 like stpvendr.print_1099,
            federal_tax_id like stpvendr.federal_tax_id,
            cash_acct_no like stpvendr.cash_acct_no,
            cash_department like stpvendr.cash_department,
            on_acct_amt like stpvendr.on_acct_amt,
            acct_bal like stpvendr.acct_bal,
            pay_to_code like stppytor.pay_to_code,
            pay_to_name like stppytor.pay_to_name,
            pay_contact like stppytor.contact,
            pay_address1 like stppytor.address1,
            pay_phone like stppytor.phone,
            pay_address2 like stppytor.address2,
            pay_city like stppytor.city,
            pay_state like stppytor.state,
            pay_zip like stppytor.zip,
            pay_country like stppytor.country,
            pay_take_dscnt like stppytor.take_dscnt
        end record,
        curs_next record            # next row of cursor
            vend_code like stpvendr.vend_code,
            bus_name like stpvendr.bus_name,
            contact like stpvendr.contact,
            phone like stpvendr.phone,
            address1 like stpvendr.address1,
            address2 like stpvendr.address2,
            city like stpvendr.city,
            state like stpvendr.state,
            zip like stpvendr.zip,
            country like stpvendr.country,
            spec_billing like stpvendr.spec_billing,
            credit_limit like stpvendr.credit_limit,
            ap_acct_dflt like stpvendr.ap_acct_dflt,
            ap_department_dflt like stpvendr.ap_department_dflt,
            terms_code like stpvendr.terms_code,
            terms_desc like stptermr.terms_desc,
            act_grp like stpvendr.act_grp,
            grp_desc like stxactgr.grp_desc,
            last_pay_date like stpvendr.last_pay_date,
            hold_pymnt like stpvendr.hold_pymnt,
            take_dscnt like stpvendr.take_dscnt,
            print_1099 like stpvendr.print_1099,
            federal_tax_id like stpvendr.federal_tax_id,
            cash_acct_no like stpvendr.cash_acct_no,
            cash_department like stpvendr.cash_department,
            on_acct_amt like stpvendr.on_acct_amt,
            acct_bal like stpvendr.acct_bal,
            pay_to_code like stppytor.pay_to_code,
            pay_to_name like stppytor.pay_to_name,
            pay_contact like stppytor.contact,
            pay_address1 like stppytor.address1,
            pay_phone like stppytor.phone,
            pay_address2 like stppytor.address2,
            pay_city like stppytor.city,
            pay_state like stppytor.state,
            pay_zip like stppytor.zip,
            pay_country like stppytor.country,
            pay_take_dscnt like stppytor.take_dscnt
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

