########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ap.4gm/o_vendld.4gs/globals.4gl  1.4  Delta: 1/4/91
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        join_phrase char(400),      # longer join statement
        rpt record                  # record for the report
            doc_no like stxtranr.doc_no,
            co_name char(30),
            ref_code like stxtranr.ref_code,
            bus_name like stpvendr.bus_name,
            arch_bal like stpvendr.arch_bal,
            doc_date like stxtranr.doc_date,
            tran_type char(11),
            inv_chk_no like stptranr.inv_chk_no,
            doc_desc like stxtranr.doc_desc,
            amount like stpactvd.amount,
            balance like stpvendr.acct_bal
        end record,
        curs record                 # record like the cursor
            doc_no like stxtranr.doc_no,
            ref_code like stxtranr.ref_code,
            bus_name like stpvendr.bus_name,
            arch_bal like stpvendr.arch_bal,
            doc_date like stxtranr.doc_date,
            doc_type like stptranr.doc_type,
            inv_chk_no like stptranr.inv_chk_no,
            doc_desc like stxtranr.doc_desc,
            amount like stpactvd.amount
        end record,
        curs_next record            # next row of cursor
            doc_no like stxtranr.doc_no,
            ref_code like stxtranr.ref_code,
            bus_name like stpvendr.bus_name,
            arch_bal like stpvendr.arch_bal,
            doc_date like stxtranr.doc_date,
            doc_type like stptranr.doc_type,
            inv_chk_no like stptranr.inv_chk_no,
            doc_desc like stxtranr.doc_desc,
            amount like stpactvd.amount
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_pows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

